module Opsmgr
  module Api
    module Version20
      class Endpoints
        VERSION = '2.0'.freeze

        def version
          VERSION
        end

        def installation_settings_post_path
          '/api/installation_settings'
        end

        def installation_settings_get_path
          '/api/installation_settings'
        end

        def install_post_path
          '/api/installation?ignore_warnings=1'
        end

        def installation_path
          '/api/installation'
        end

        def api_user_path
          '/api/user'
        end

        def api_setup_path
          '/api/setup'
        end

        def show_installation_status(id)
          "/api/installation/#{id}"
        end

        def installation_log_path(id)
          "/api/installation/#{id}/logs"
        end

        def upload_product_path
          '/api/products'
        end

        def add_product_path
          '/api/installation_settings/products'
        end

        def upgrade_product_path(product_guid)
          "/api/installation_settings/products/#{product_guid}"
        end

        def upload_product_form_key
          'product'
        end

        def list_components_path
          '/api/components'
        end

        def list_products_path
          '/api/products'
        end

        def installed_products_path
          '/api/installation_settings/products'
        end

        def product_manifest_path(product_guid)
          "/api/manifests/#{product_guid}"
        end

        def download_staged_manifest(product_guid)
          "/api/v0/staged/products/#{product_guid}/manifest"
        end

        def export_installation_path
          '/api/installation_asset_collection'
        end

        def import_installation_path
          '/api/installation_asset_collection'
        end

        def mark_for_deletion_path(product_guid)
          "/api/installation_settings/products/#{product_guid}"
        end

        def import_stemcell_path
          '/api/stemcells'
        end

        def root_ca_certificate_path
          '/api/v0/security/root_ca_certificate'
        end

        def uaa_get_user_by_username_path(username)
          "/uaa/Users?attributes=id&filter=userName%20eq%20'#{username}'"
        end

        def uaa_create_user
          '/uaa/Users'
        end

        def login_ensure_availability
          '/login/ensure_availability'
        end
      end
    end
  end
end
# Copyright (c) 2014-2015 Pivotal Software, Inc.
# All rights reserved.
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
# USE OR OTHER DEALINGS IN THE SOFTWARE.
