PROJECT_ROOT = File.expand_path(File.join(__dir__, '..'))

require 'rspec'
require 'ops_manager_ui_drivers'
require 'yaml'
require 'opsmgr/environments'
require_relative 'settings_helper'

RSpec.configure do |config|
  config.fail_fast = true
  config.default_formatter = 'documentation'

  config.include(SettingsHelper)
  config.include(Capybara::DSL)
  config.include(OpsManagerUiDrivers::PageHelpers)
  config.include(OpsManagerUiDrivers::WaitHelper)

  config.after(:each) do |example|
    if example.exception
      page = save_page
      screenshot = save_screenshot(nil)

      exception = example.exception
      exception.define_singleton_method :message do
        super() +
          "\nHTML page: #{page}\nScreenshot: #{screenshot}"
      end
    end
  end
end
# Copyright (c) 2014-2015 Pivotal Software, Inc.
# All rights reserved.
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
# USE OR OTHER DEALINGS IN THE SOFTWARE.
