require_relative 'config_helper'

RSpec.describe 'Deleting a product if it is present', order: :defined do
  let!(:current_ops_manager) { ops_manager_driver }
  let!(:env_settings) { fetch_environment_settings }

  it 'creates the admin user and logs in' do
    poll_up_to_mins(10) do
      current_ops_manager.setup_page.setup_or_login(
        user: env_settings['ops_manager']['username'],
        password: env_settings['ops_manager']['password'],
      )

      expect(page).to have_content('Installation Dashboard')
    end
  end

  it 'removes the product if it exists on the dashboard' do
    if current_ops_manager.product_dashboard.product_on_dashboard?(product_name)
      current_ops_manager.product_dashboard.delete_product(product_name)
      current_ops_manager.product_dashboard.apply_updates
      poll_up_to_mins(delete_timeout, poll_interval) do
        expect(current_ops_manager.state_change_progress).to be_state_change_success
      end
    else
      puts "#{product_name} does not exist on dashboard, skipping deletion"
    end
  end
end
# Copyright (c) 2014-2015 Pivotal Software, Inc.
# All rights reserved.
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
# USE OR OTHER DEALINGS IN THE SOFTWARE.
