require_relative '../config_helper'

RSpec.describe 'Configuring director', order: :defined do
  let(:current_ops_manager) { ops_manager_driver }
  let!(:env_settings) { fetch_environment_settings }

  it 'creates the admin user and logs in' do
    poll_up_to_mins(10) do
      current_ops_manager.setup_page.setup_or_login(
        user: env_settings['ops_manager']['username'],
        password: env_settings['ops_manager']['password'],
      )

      expect(page).to have_content('Installation Dashboard')
    end
  end

  it 'configures director' do
    product_dashboard = current_ops_manager.product_dashboard
    product_dashboard.revert_pending_changes if product_dashboard.revert_available?
    current_ops_manager.ops_manager_director.configure_bosh_product(env_settings)

    if Gem::Version.new(om_version) >= Gem::Version.new('1.7')
      current_ops_manager.ops_manager_director.configure_icmp_checks(env_settings['ops_manager']['icmp_checks_enabled'])
    end
  end
end
# Copyright (c) 2014-2015 Pivotal Software, Inc.
# All rights reserved.
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
# USE OR OTHER DEALINGS IN THE SOFTWARE.
